{ ... }: {
  programs.ssh.knownHosts = let
    hostNames = [ "hydra" "pulsebert" "server7" "hydra" ];
    f = name: {
      inherit name;
      value = {
        hostNames = [ name (name + ".hq.c3d2.de") ];
        publicKeyFile = ../hosts + "/${name}/ssh_host_ed25519_key.pub";
      };
    };
    hosts = map f hostNames;
  in builtins.listToAttrs hosts;

}
